Redmine - Defect #29215

Fixture is missing for IssuesTest#test_create_issue_with_new_target_version
2018-07-10 05:27 - Ed Tan

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed Affected version:

Description

After a db:reset, the test_create_issue_with_new_target_version system test fails with the following error:

Error:

IssuesTest#test_create_issue_with_new_target_version:

Capybara::ElementNotFound: Unable to find visible link or button "New version"
test/system/issues_test.rb:161:in “block (2 levels) in test_create_issue_with_new_target_version'
test/system/issues_test.rb:158:in “block in test_create_issue_with_new_target_version'
test/system/issues_test.rb:157:in “test_create_issue_with_new_target_version'

The "New version" link is missing because the Versions fixtures aren't loaded. This patch loads the versions fixture so that the test
passes.

PostgreSQL 9.5.13
ruby 2.4.3p205
Rails 5.1.6

svn revision 17440

Associated revisions

Revision 17449 - 2018-07-16 10:01 - Go MAEDA

Add a missing fixture for IssuesTest#test_create_issue_with_new_target_version (#29215).

Patch by Ed Tan.

History

#1 - 2018-07-15 04:22 - Go MAEDA
- File fix-system-test-issues-v2.diff added
- Category set to Code cleanup/refactoring

- Target version set to Candidate for next major release

Because the patch contains garbage, | attach an updated patch.

#2 - 2018-07-16 10:04 - Go MAEDA

- Subject changed from issues_test system test failing to Fixture is missing for IssuesTest#test create issue_with_new _target version
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.0.0

- Resolution set to Fixed

Committed. Thank you for reporting this issue.

Files
fix-system-test-issues.diff 7.08 KB 2018-07-10 Ed Tan
fix-system-test-issues-v2.diff 641 Bytes 2018-07-15 Go MAEDA
